package com.railway.web.controller.business.baseinfo;

import com.railway.business.baseinfo.domain.BasePreventRust;
import com.railway.business.baseinfo.service.IBasePreventRustService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.WebDataBinder;
import com.railway.common.core.controller.BaseController;
import com.railway.common.core.domain.AjaxResult;
import com.railway.common.core.page.TableDataInfo;
import javax.validation.Valid;
import java.util.List;

import javax.validation.Valid;

@Api(value = "rest/baseinfo/base/prevent/rust", tags = "基础数据-九防台账-防锈蚀")
@RestController
@Validated
@RequestMapping(value = "business/baseinfo/base/prevent/rust")
public class BasePreventRustController extends BaseController {
    @Autowired
    private IBasePreventRustService basePreventRustService;

    @ApiOperation(value = "新增")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody BasePreventRust basePreventRust) {
        return toAjax(basePreventRustService.create(basePreventRust));
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("/{ids}")
    public AjaxResult delete(@RequestParam String[] ids) {
        return toAjax(basePreventRustService.delete(ids));
    }

    @ApiOperation(value = "更新")
    @PutMapping("/update")
    public AjaxResult update(@RequestBody @Valid BasePreventRust basePreventRust) {
        return toAjax(basePreventRustService.update(basePreventRust));
    }

    @ApiOperation(value = "单个")
    @GetMapping(value = {"/", "/{id}"})
    public AjaxResult getInfo(String id) {
        BasePreventRust info = basePreventRustService.getInfo(id);
        AjaxResult ajax = AjaxResult.success();
        ajax.put("info",info);
        return ajax;
    }

    @ApiOperation(value = "列表")
    @GetMapping(value = "list")
    public TableDataInfo getList(BasePreventRust basePreventRust) {
        startPage();
        List<BasePreventRust> list = basePreventRustService.getList(basePreventRust);
        return getDataTable(list);
    }

}
